EDIT - feature request #8454

Only allow certain patterns as username and groupname
08/09/2019 09:20 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.8

Severity: normal

Description

... to avoid unwanted characters like ;,6*... Also avoid unvisible characters, whitespaces and linebrakes this way.

For now we may use "[A-Za-z0-9_.-]+" as regex.

Related issues:

Related to EDIT - feature request #3972: Strictly validate username to not nu... Closed
Related to EDIT - feature request #8470: Handle username constraints in user ... Closed
Has duplicate EDIT - feature request #8433: Disallow user names with whitespace Duplicate

Associated revisions

Revision 3ffécdef - 08/13/2019 03:13 PM - Andreas Miiller

ref #8454 add regex to User.username and Group.name

Revision dd017de5 - 08/13/2019 03:13 PM - Andreas Miiller

ref #8442 update script for externally managed, ref #8454 update script for username patterns

Revision 8d58f4b9 - 08/13/2019 03:13 PM - Andreas Miiller
ref #8454 fix UserAndGroupServicelmplTest

History

#1 - 08/09/2019 10:16 AM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

#2 - 08/09/2019 04:40 PM - Andreas Miuller

- Description updated

#3 - 08/12/2019 10:30 AM - Andreas Miiller

- Related to feature request #3972: Strictly validate username to not null and not empty added

#4 - 08/14/2019 10:47 AM - Andreas Miiller

- Status changed from In Progress to Resolved

This should be solved now and seems to work. Still needs testing in TaxEditor and maybe other surroundings.

#5 - 08/16/2019 12:05 PM - Andreas Miuller

- Related to feature request #8470: Handle username constraints in user and group editing added

#6 - 08/16/2019 12:10 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 50

This should be fixed. Who ever wants please review. | tested creating a new user and a group in TaxEditor. For both works validation but needs to be

04/19/2024 1/2




improved (#8470).

As KL has this ticket | pass review of this ticket also KL for now.

#7 - 11/06/2019 01:06 PM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

tested it in Editor and it seems to work (tested ' ', '6', ™)

#8 - 11/06/2019 01:06 PM - Katja Luther
- % Done changed from 50 to 100

#9 - 12/02/2019 12:32 PM - Andreas Miiller

- Has duplicate feature request #8433: Disallow user names with whitespace added
